=== debian/changelog ===
rocm (6.4.3+ds-4~exp2) experimental; urgency=medium

  * Enable rocm-doc package
  * Add hiprand to rocm-dev and rocm-tests
  * Update standards version to 4.7.3
    * Removed redundant priority optional annotation
  * d/control: remove redundant rules-requires-root annotation
  * d/control: update dependencies for removed ppc64el packages
  * Suggest for OpenCL and OpenMP GPU offloading packages in rocm-dev
  * Recommend librpp-hip-dev in rocm-dev
  * d/copyright: exclude upstream CI configuration files
  * d/watch: update to watch version 5
  * Add d/p/use-local-mathjax.patch to prevent connections
    to the internet within the documentation

 -- Cordell Bloor <cgmb@debian.org>  Sun, 15 Feb 2026 19:53:33 -0700

rocm (6.4.3-4~exp1) experimental; urgency=medium

  * Update dependencies for ROCm 6.4.3
  * Disable build of rocm-doc package until all B-D are available

 -- Cordell Bloor <cgmb@debian.org>  Fri, 21 Nov 2025 17:02:14 -0700

rocm (6.4.3-3) unstable; urgency=medium

  * Fix for test-build-any test

 -- Christian Bayle <bayle@debian.org>  Thu, 11 Sep 2025 23:32:28 +0200

rocm (6.4.3-2) unstable; urgency=medium

  * Use rocm-docs-build
  * Update README.source
  * Add missing deps
  * Add nodoc for doc related depedancies
  * Add python-rocm-docs-doc and python3-doc for .inv files
  * Patch config to fix title issue in pbuilder
  * Fix for build on salsa
  * Fix for test-build-any test

 -- Christian Bayle <bayle@debian.org>  Thu, 11 Sep 2025 23:07:02 +0200

rocm (6.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1001712)

 -- Christian Bayle <bayle@debian.org>  Mon, 01 Sep 2025 17:26:14 +0200
