=== debian/control ===
Source: rocm
Section: devel
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/rocm-team/rocm.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Cordell Bloor <cgmb@debian.org>,
 Christian Bayle <bayle@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 sphinx-common,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 python3-rocm-docs (>= 1.23.0-1~) <!nodoc>,
 python-rocm-docs-doc <!nodoc>,
 python3-sphinx-reredirects <!nodoc>,
 python3-sphinx-sitemap <!nodoc>,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-sphinxcontrib.datatemplates <!nodoc>,
 libjs-underscore <!nodoc>,
 libjs-jquery <!nodoc>,
 python3-doc <!nodoc>,
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/ROCm/ROCm

# Needs further discussion. Kitchen sink package seems useful.
#
#Package: rocm
#Architecture: amd64 arm64 ppc64el
#Depends: rocm-dev,
#         rocm-tests,
#         rocm-doc
#Description: All ROCm components
# This metapackage comprises all ROCm components available, including
# development tools, libraries, tests and documentation.

Package: rocm-dev
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends},
         amd-dbgapi-dev,
         hip-utils,
         hipcc,
         hipify-perl,
         libamd-smi-dev [amd64],
         libamdhip64-dev,
         libhipblas-common-dev,
         libhipblas-dev [amd64 arm64],
         libhipcub-dev,
         libhipfft-dev [amd64 arm64],
         libhiprand-dev,
         libhipsolver-dev [amd64 arm64],
         libhipsparse-dev,
         libmiopen-dev [amd64 arm64],
         liboam-dev,
#         librccl-dev, # broken on unstable
         librocalution-dev,
         librocblas-dev [amd64 arm64],
         librocfft-dev [amd64 arm64],
         librocm-smi-dev,
         librocprim-dev,
         librocrand-dev,
         librocsolver-dev [amd64 arm64],
         librocsparse-dev,
         librocthrust-dev,
         libroctx-dev,
         rocminfo,
Recommends: librpp-hip-dev [amd64],
Suggests: liboffload-21-dev,
          libomp-21-dev,
          rocm-opencl-icd,
Description: Tools and libraries for ROCm development
 This metapackage provides development tools, libraries, and headers
 used when developing for the AMD ROCm platform. The development tools
 include a HIP compiler, and the libraries include a wide range of
 math, machine learning, inter- and intra-node communication, and basic
 primatives for authoring programs with AMD GPU acceleration.

Package: rocm-tests
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends},
         ${perl:Depends},
#         libhipblas2-tests, # todo
         libhipcub-tests,
         libhipfft0-tests [amd64 arm64],
         libhiprand1-tests,
         libhipsolver0-tests [amd64 arm64],
         libhipsparse1-tests,
         libmiopen1-tests [amd64 arm64],
#         librccl1-tests, # broken on unstable
         librocblas4-tests [amd64 arm64],
         librocfft0-tests [amd64 arm64],
         librocprim-tests,
         librocrand1-tests,
         librocsolver0-tests [amd64 arm64],
         librocsparse1-tests,
         librocthrust-tests,
Description: Tests for validating the ROCm software stack
 This package contains test utilities that can be used to verify
 that the ROCm software stack is functioning correctly.

Package: rocm-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Documentation for the AMD ROCm software stack
 ROCm is an open-source stack primarily composed of open-source software
 for performing compuations on graphics processing units (GPUs). ROCm
 comprises drivers, development tools, and libraries that enable GPU
 programming from low-level kernel integrations to high-level applications.
 .
 With ROCm you can customize your GPU software to meet your specific needs.
 You can develop, collaborate, test, and deploy your applications in a free,
 open-source, and secure software ecosystem. ROCm is well-suited for
 high-performance computing (HPC), artificial intelligence (AI),
 scientific computing, and computer aided design (CAD).
 .
 ROCm is powered by the Heterogeneous-computing Interface for Portability
 (HIP). HIP is an open-source software C++ GPU programming language and its
 corresponding runtime. It allows developers to create portable applications
 by deploying code for a wide range of hardware, from desktop gaming GPUs to
 exascale HPC server clusters.
 .
 ROCm supports programming models such as OpenMP and OpenCL. It includes
 all necessary open source software compilers, debuggers, and libraries.
 ROCm support is integrated into machine learning (ML) frameworks, such
 as PyTorch and TensorFlow.
 .
 This is the common documentation package.
