=== debian/watch ===
Version: 5

Source: https://github.com/rocm/rocm/tags
Matching-Pattern: (?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz
Dversionmangle: s/\+ds//
Repacksuffix: +ds
