## rocm 7.0.2

=== docs/sphinx/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile docs/sphinx/requirements.in
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
asttokens==3.0.0
    # via stack-data
attrs==25.4.0
    # via
    #   jsonschema
    #   jupyter-cache
    #   referencing
babel==2.17.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.14.2
    # via pydata-sphinx-theme
breathe==4.36.0
    # via rocm-docs-core
certifi==2025.10.5
    # via requests
cffi==2.0.0
    # via
    #   cryptography
    #   pynacl
charset-normalizer==3.4.3
    # via requests
click==8.3.0
    # via
    #   jupyter-cache
    #   sphinx-external-toc
comm==0.2.3
    # via ipykernel
cryptography==46.0.2
    # via pyjwt
debugpy==1.8.17
    # via ipykernel
decorator==5.2.1
    # via ipython
defusedxml==0.7.1
    # via sphinxcontrib-datatemplates
docutils==0.21.2
    # via
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
exceptiongroup==1.3.0
    # via ipython
executing==2.2.1
    # via stack-data
fastjsonschema==2.21.2
    # via
    #   nbformat
    #   rocm-docs-core
gitdb==4.0.12
    # via gitpython
gitpython==3.1.45
    # via rocm-docs-core
greenlet==3.2.4
    # via sqlalchemy
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0
    # via
    #   jupyter-cache
    #   myst-nb
ipykernel==6.30.1
    # via myst-nb
ipython==8.37.0
    # via
    #   ipykernel
    #   myst-nb
jedi==0.19.2
    # via ipython
jinja2==3.1.6
    # via
    #   myst-parser
    #   sphinx
jsonschema==4.25.1
    # via nbformat
jsonschema-specifications==2025.9.1
    # via jsonschema
jupyter-cache==1.0.1
    # via myst-nb
jupyter-client==8.6.3
    # via
    #   ipykernel
    #   nbclient
jupyter-core==5.8.1
    # via
    #   ipykernel
    #   jupyter-client
    #   nbclient
    #   nbformat
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==3.0.3
    # via jinja2
matplotlib-inline==0.1.7
    # via
    #   ipykernel
    #   ipython
mdit-py-plugins==0.5.0
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-nb==1.3.0
    # via rocm-docs-core
myst-parser==4.0.1
    # via myst-nb
nbclient==0.10.2
    # via
    #   jupyter-cache
    #   myst-nb
nbformat==5.10.4
    # via
    #   jupyter-cache
    #   myst-nb
    #   nbclient
nest-asyncio==1.6.0
    # via ipykernel
packaging==25.0
    # via
    #   ipykernel
    #   sphinx
parso==0.8.5
    # via jedi
pexpect==4.9.0
    # via ipython
platformdirs==4.4.0
    # via jupyter-core
prompt-toolkit==3.0.52
    # via ipython
psutil==7.1.0
    # via ipykernel
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pycparser==2.23
    # via cffi
pydata-sphinx-theme==0.16.1
    # via
    #   rocm-docs-core
    #   sphinx-book-theme
pygithub==2.8.1
    # via rocm-docs-core
pygments==2.19.2
    # via
    #   accessible-pygments
    #   ipython
    #   pydata-sphinx-theme
    #   sphinx
pyjwt[crypto]==2.10.1
    # via pygithub
pynacl==1.6.0
    # via pygithub
python-dateutil==2.9.0.post0
    # via jupyter-client
pyyaml==6.0.3
    # via
    #   jupyter-cache
    #   myst-nb
    #   myst-parser
    #   rocm-docs-core
    #   sphinx-external-toc
    #   sphinxcontrib-datatemplates
pyzmq==27.1.0
    # via
    #   ipykernel
    #   jupyter-client
referencing==0.36.2
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.32.5
    # via
    #   pygithub
    #   sphinx
rocm-docs-core==1.26.0
    # via -r docs/sphinx/requirements.in
rpds-py==0.27.1
    # via
    #   jsonschema
    #   referencing
six==1.17.0
    # via python-dateutil
smmap==5.0.2
    # via gitdb
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.8
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   breathe
    #   myst-nb
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-last-updated-by-git
    #   sphinx-notfound-page
    #   sphinx-reredirects
    #   sphinxcontrib-datatemplates
    #   sphinxcontrib-runcmd
sphinx-book-theme==1.1.3
    # via rocm-docs-core
sphinx-copybutton==0.5.2
    # via rocm-docs-core
sphinx-design==0.6.1
    # via rocm-docs-core
sphinx-external-toc==1.0.1
    # via rocm-docs-core
sphinx-last-updated-by-git==0.3.8
    # via sphinx-sitemap
sphinx-notfound-page==1.1.0
    # via rocm-docs-core
sphinx-reredirects==0.1.6
    # via -r docs/sphinx/requirements.in
sphinx-sitemap==2.9.0
    # via -r docs/sphinx/requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-datatemplates==0.11.0
    # via -r docs/sphinx/requirements.in
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-runcmd==0.2.0
    # via sphinxcontrib-datatemplates
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sqlalchemy==2.0.43
    # via jupyter-cache
stack-data==0.6.3
    # via ipython
tabulate==0.9.0
    # via jupyter-cache
tomli==2.2.1
    # via sphinx
tornado==6.5.2
    # via
    #   ipykernel
    #   jupyter-client
traitlets==5.14.3
    # via
    #   ipykernel
    #   ipython
    #   jupyter-client
    #   jupyter-core
    #   matplotlib-inline
    #   nbclient
    #   nbformat
typing-extensions==4.15.0
    # via
    #   beautifulsoup4
    #   cryptography
    #   exceptiongroup
    #   ipython
    #   myst-nb
    #   pydata-sphinx-theme
    #   pygithub
    #   referencing
    #   sqlalchemy
urllib3==2.5.0
    # via
    #   pygithub
    #   requests
wcwidth==0.2.14
    # via prompt-toolkit
zipp==3.23.0
    # via importlib-metadata
