=== debian/changelog ===
rocm (7.0.2-1~exp1) experimental; urgency=medium

  * Add doc dependancies
  * update repo in debian/ci
  * Update watch file for version 5
  * New upstream version 7.0.2
  * Rebase patch for new version
  * Remove/Add available tests
  * Fix privacy breaches

 -- Christian Bayle <bayle@debian.org>  Mon, 13 Oct 2025 01:20:41 +0200
