=== debian/control ===
Source: rocm
Section: devel
Priority: optional
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rocm-team/rocm.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Cordell Bloor <cgmb@debian.org>,
 Christian Bayle <bayle@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 sphinx-common,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 python3-rocm-docs (>= 1.23.0-1~) <!nodoc>,
 python-rocm-docs-doc <!nodoc>,
 python3-sphinx-reredirects <!nodoc>,
 python3-sphinx-sitemap <!nodoc>,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-sphinxcontrib.datatemplates <!nodoc>,
 libjs-underscore <!nodoc>,
 libjs-jquery <!nodoc>,
 libjs-mathjax <!nodoc>,
 python3-doc <!nodoc>,
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/ROCm/ROCm

Package: rocm-dev
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends},
         amd-dbgapi-dev,
#         hip-utils,
         hipcc,
         hipify-perl,
         libamd-smi-dev [amd64],
         libamdhip64-dev,
         libhipblas-common-dev,
         libhipblas-dev,
         libhipcub-dev,
         libhipfft-dev,
         libhiprand-dev,
         libhipsolver-dev,
         libhipsparse-dev,
         libmiopen-dev,
         liboam-dev,
         librccl-dev,
         librocalution-dev,
         librocblas-dev,
         librocfft-dev,
         librocm-smi-dev,
         librocprim-dev,
         librocrand-dev,
         librocsolver-dev,
         librocsparse-dev,
         librocthrust-dev,
         libroctx-dev,
         rocminfo,
Description: Tools and libraries for ROCm development
 This metapackage provides development tools, libraries, and headers
 used when developing for the AMD ROCm platform. The development tools
 include a HIP compiler, and the libraries include a wide range of
 math, machine learning, inter- and intra-node communication, and basic
 primatives for authoring programs with AMD GPU acceleration.

Package: rocm-tests
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends},
         libhipblas2-tests,
         libhipcub-tests,
         libhipfft0-tests,
         libhiprand1-tests,
         libhipsolver0-tests,
         libhipsparse1-tests,
         libmiopen1-tests,
         librccl1-tests,
         librocfft0-tests,
         librocprim-tests,
         librocrand1-tests,
         librocsolver0-tests,
         librocsparse0-tests,
         librocthrust-tests,
         perl,
Description: Tests for validating the ROCm software stack
 This package contains test utilities that can be used to verify
 that the ROCm software stack is functioning correctly.

Package: rocm-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
 libhipblas-doc,
 libhipfft-doc,
 libhiprand-doc,
 libhipsolver-doc,
 libhipsparse-doc,
 libmiopen-doc,
 librocblas-doc,
 librocfft-doc,
 librocrand-doc,
 librocsolver-doc,
 librocsparse-doc,
 python-rocm-docs-doc,
Description: AMD ROCm Software (documentation)
 ROCm is an open-source stack, composed primarily of open-source software,
 designed for graphics processing unit (GPU) computation. ROCm consists
 of a collection of drivers, development tools, and APIs that enable
 GPU programming from low-level kernel to end-user applications.
 . 
 With ROCm, you can customize your GPU software to meet your specific needs.
 You can develop, collaborate, test, and deploy your applications in a free,
 open source, integrated, and secure software ecosystem.
 ROCm is particularly well-suited to GPU-accelerated high-performance
 computing (HPC), artificial intelligence (AI), scientific computing,
 and computer aided design (CAD).
 .
 ROCm is powered by AMD’s Heterogeneous-computing Interface for Portability
 (HIP), an open-source software C++ GPU programming environment and its
 corresponding runtime. HIP allows ROCm developers to create portable
 applications on different platforms by deploying code on a range of platforms,
 from dedicated gaming GPUs to exascale HPC clusters.
 .
 ROCm supports programming models, such as OpenMP and OpenCL, and includes
 all necessary open source software compilers, debuggers, and libraries.
 ROCm is fully integrated into machine learning (ML) frameworks,
 such as PyTorch and TensorFlow.
 .
 This is the common documentation package.
