=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rocm

%:
	dh $@ --with sphinxdoc --buildsystem=none

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	export patchconfigpy="True" ; \
	rocm-docs-build
	# Remove fonts that will be symlinks
	rm -rf build/html/_static/fonts
	rm -rf build/html/_static/vendor
	# Remove privacy breach links
	find build/html/how-to/rocm-for-ai -name *.html \
		-exec perl -ni -e 'print unless /cdn\.jsdelivr\.net/' {} \;

override_dh_clean:
	dh_clean
	rm -rf build
	rm -f  \
	_readthedocs/html/downloads/compatibility-matrix-historical-6.0.csv \
	docs/about/release-notes.md \
	docs/release/changelog.md \
	docs/sphinx/_toc.yml
