=== debian/watch ===
Version: 5

# GitHub hosted projects.
Source: https://github.com/ROCm/ROCm/tags
Matching-Pattern: (?:.*?/)?rocm-@ANY_VERSION@@ARCHIVE_EXT@
Filenamemangle: s%rocm-@ANY_VERSION@%@PACKAGE@-$1%
