=== debian/changelog ===
rocm (7.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0 (LP: #2138850)
  * d/watch: update watch file to version 5
  * d/control: upgrade the dependencies for tests
  * d/p/set-empty-project-list: fix the hunk
  * d/control: remove ppc64el and change binary package name to rocm
  * d/t/{check-test-binaries, control, smoke}: add some superficial tests
  * d/control: remove commented out unnecessary sections

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 11 Feb 2026 18:41:05 +0100
