=== debian/control ===
Source: rocm
Section: devel
Priority: optional
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rocm-team/rocm.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Cordell Bloor <cgmb@debian.org>,
 Christian Bayle <bayle@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 sphinx-common,
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/ROCm/ROCm

Package: rocm-dev
Architecture: amd64 arm64
Depends: ${misc:Depends},
         amd-dbgapi-dev,
         hip-utils,
         hipcc,
         hipify-perl,
         libamd-smi-dev [amd64],
         libamdhip64-dev,
         libhipblas-common-dev,
         libhipblas-dev,
         libhipcub-dev,
         libhipfft-dev,
         libhiprand-dev,
         libhipsolver-dev,
         libhipsparse-dev,
         libmiopen-dev,
         liboam-dev,
         librccl-dev,
         librocalution-dev,
         librocblas-dev,
         librocfft-dev,
         librocm-smi-dev,
         librocprim-dev,
         librocrand-dev,
         librocsolver-dev,
         librocsparse-dev,
         librocthrust-dev,
         libroctx-dev,
         rocminfo,
Description: Tools and libraries for ROCm development
 This metapackage provides development tools, libraries, and headers
 used when developing for the AMD ROCm platform. The development tools
 include a HIP compiler, and the libraries include a wide range of
 math, machine learning, inter- and intra-node communication, and basic
 primatives for authoring programs with AMD GPU acceleration.

Package: rocm-tests
Architecture: amd64 arm64
Depends: ${misc:Depends},
         ${perl:Depends},
         libhipcub-tests,
         libhipfft0-tests,
         libhiprand1-tests,
         libhipsolver1-tests,
         libhipsparse1-tests,
         libmiopen1-tests,
         librocblas5-tests,
         librocfft0-tests,
         librocprim-tests,
         librocrand1-tests,
         librocsolver0-tests,
         librocsparse1-tests,
         librocthrust-tests,
Description: Tests for validating the ROCm software stack
 This package contains test utilities that can be used to verify
 that the ROCm software stack is functioning correctly.
