=== debian/tests/control ===
Tests: smoke
Depends: @
Restrictions: superficial

Tests: check-test-binaries
Depends: rocm-tests
Restrictions: superficial
